Package org.apache.lucene.sandbox.facet.utils

# Class FacetBuilder

java.lang.Object
org.apache.lucene.sandbox.facet.utils.FacetBuilder

Direct Known Subclasses:
  `CommonFacetBuilder`, `LongValueFacetBuilder`, `TaxonomyFacetBuilder`

public abstract class FacetBuilder extends Object
End-to-end (request, collection and results) management of a single facet request.

Use `CommonFacetBuilder` unless there is a facet type specific implementation, such as `TaxonomyFacetBuilder`. Use with `FacetOrchestrator` or `DrillSidewaysFacetOrchestrator`.

Note that you need separate `FacetBuilder` instances even for very similar requests, e.g. when sort order is the only difference. `FacetOrchestrator` and `DrillSidewaysFacetOrchestrator`

It's an abstract class, not an interface, to define some methods as package private as they should only be called by `FacetOrchestrator` or `DrillSidewaysFacetOrchestrator`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract FacetResult`
  `getResult()`
  Get results for this request.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FacetBuilder

    public FacetBuilder()

- ## Method Details

  - ### getResult

    public abstract FacetResult getResult()
    Get results for this request.